<template>
  <div class="flex flex-col gap-4 w-full mobile-lobby mb-2 pt-2">
    <template v-for="item in componentType" :key="item.HtmlId">
      <div
        v-if="item.Text.SelectedModule.toLowerCase().includes('provider type')"
        class="grid grid-cols-2 gap-2 !py-0 px-2"
      >
        <new-black-theme-horizontal-home-button
          v-for="menu in headerMenus"
          :key="menu.TabType"
          :link="menu.TabURL"
          :bg-image="`/new_black_theme/home_bg/${checkImg(menu)}_home_bg.png`"
          :logo-image="`/new_black_theme/home_logo/img_mainentry_${menu.TabType.replace(
            ' ',
            ''
          ).toLowerCase()}_h72.png`"
          :name="menu.TabType"
          class="home-entry-item"
        />
      </div>
      <lobby-settings-live-casino-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('live casino')"
        :data="item.Text"
      />
      <lobby-settings-games-mobile-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('games')"
        :data="item.Text"
      />
      <lobby-settings-sports-mobile-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('sports')"
        :data="item.Text"
      />
      <lobby-settings-promotions-mobile-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('promotion')"
        :data="item.Text"
      />
    </template>
  </div>
</template>

<script lang="ts" setup>
import { TabInfo } from "~~/models/IGetPlayableGamesResponse";
import { store } from "~~/store";

defineProps<{
  headerMenus: TabInfo[];
}>();

const themeProperties =
  store.state.companyThemePropertiesFromApi.ThemeProperties;

const componentType = themePropertyHelper
  .getMultipleThemesProperties(themeProperties, "component_type_")
  .map((item) => {
    item.Text = JSON.parse(item.Text);
    return item;
  })
  .filter((item) => {
    // @ts-ignore
    return item.Text.SelectedModule;
  });

const checkImg = (menu: TabInfo) => {
  if (menu.TabType.toLowerCase().includes("sports")) {
    return "sports";
  }
  if (menu.TabType.toLowerCase().includes("casino")) {
    return "casino";
  }
  if (menu.TabType.toLowerCase().includes("cock")) {
    return "cock";
  }
  return menu.TabType.toLowerCase();
};
</script>

<style lang="scss">
.mobile-lobby {
  .lobby-title {
    font-family: Roboto;
    color: var(--text2);

    @apply px-2 mb-2 text-sm font-bold;
  }

  // Start: Module Four
  .module-four {
    &.container {
      width: 100%;
    }

    .module-four-item {
      padding: 0 8px;
    }

    .swiper {
      width: calc(100% + 146px) !important;
      margin-left: -73px;
    }

    .swiper-pagination {
      display: none;
    }

    .swiper-slide {
      .swipe-card {
        height: 100%;
      }

      .hero-width {
        width: 168px !important;
        height: 165px !important;
        top: 14px !important;
      }

      &.swiper-slide-prev {
        right: 0;
      }

      &.swiper-slide-next {
        left: 0;
      }

      .rectangle {
        height: 125.6px;
      }

      .display-name {
        @apply pb-2 font-bold text-xs whitespace-nowrap;
      }

      .provider-name {
        @apply bottom-7;
      }
      .provider-name-01 {
        @apply bottom-14;
      }
      .button-play {
        height: 20px !important;
        @apply bottom-2 py-0 min-w-[110px] w-auto;
        span {
          @apply text-xs;
        }
      }
      .football-player {
        @apply top-[-1px];
      }
    }
    .logo {
      bottom: 36px !important;
    }
    @media (max-width: 1280px) {
      .swiper-slide,
      .swiper-slide-active {
        aspect-ratio: 168/234 !important;
      }

      .swiper-slide-active .swipe-card {
        width: 100% !important;
      }
    }
  }
  // End: Module Four

  // Start: Live Casino Modules
  .live-casino-module-2 {
    .lobby-header {
      height: auto;
      margin-bottom: 8px;
    }

    .lobby-title {
      padding-left: 0 !important;
      padding-right: 0 !important;
      color: var(--primary);
    }

    .lobby-title-info {
      @apply font-medium text-xs;
    }
  }
}
</style>
